	  subroutine iterfunc(xa0,maxit,tol,xatual)
!
	  auxi1 = g(xa0)
	  auxi2=auxi1-xa0
	  if (abs(auxi2).le.tol) then 
		xatual = xa0
	    auxi3=auxi2
		goto 333
		endif
		xantes=xa0
 	  do i=1,maxit
		xatual=g(xantes)
		auxi3 = xatual-xantes
		write(11,*)i,auxi3
		if (abs(auxi3).le.tol) goto 333
		xantes = xatual
	  enddo
	   if (i.ge.maxit) then 
		 write (*,*)'Nao convergiu, F=',abs(auxi3)
		 return
	   endif 	
333	   CONTINUE
       write (*,*)'A solucao iteracao funcional eh x=',xatual,' f=',abs(auxi3)
	   RETURN
	   END
!--------------------------------------------------------------
!
	function g(x)
!
 	g=exp(x)/3.
!	g=exp(x)-2*x
	return
	end
!******************************